/*
 * @Author: WangQiBiao
 * @Date: 2019-09-24 17:50:53
 * @LastEditors: wangjiacheng
 * @LastEditTime: 2021-10-14 16:29:44
 * @Description:
 */
import Vue from 'vue'
import App from './App.vue'
import router from './route'
import store from './store'
import 'reset.css'
import 'babel-polyfill'
import * as filters from './filters'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import '@/assets/css/element-variables.scss'
import DigitRoll from 'digit-roll'
Vue.use(DigitRoll)
// Vue.use(DigitRoll,
//   {
//   value: {
//     type: Number,
//     default: 0
//   },
//   // 持续时间
//   duration: {
//     type: Number,
//     default: 1000
//   }
// })
Vue.use(ElementUI)
// 引入全局过滤器
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
